package com.bocloud.cmp.model;

import java.util.List;

/**
 * 防火墙策略业务类
 *
 * @author wangyu
 * @version 1.0
 * @since 2017年8月29日
 */
public class FirewallPolicyModel {
    private Long policyId;// 策略ID
    private String policyUuid;// 策略UUID
    private String name;// 策略名称
    private String tenantUuid;// 租户ID
    private String remark;// 描述
    private Boolean shared;// 是否共享
    private Boolean audited;// 是否已审计
    private String ruleUuid;// 规则UUID
    private List<String> ruleUuids;// 该策略下所有规则uuid
    private List<String> firewallUuids;// 该策略所有绑定的防火墙ID
    private List<FirewallRuleModel> rules;// 该策略下所有规则

    public FirewallPolicyModel() {
        super();
    }

    /**
     * @return the policyId
     */
    public Long getPolicyId() {
        return policyId;
    }

    /**
     * @param policyId the policyId to set
     */
    public void setPolicyId(Long policyId) {
        this.policyId = policyId;
    }

    /**
     * @return the policyUuid
     */
    public String getPolicyUuid() {
        return policyUuid;
    }

    /**
     * @param policyUuid the policyUuid to set
     */
    public void setPolicyUuid(String policyUuid) {
        this.policyUuid = policyUuid;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the tenantUuid
     */
    public String getTenantUuid() {
        return tenantUuid;
    }

    /**
     * @param tenantUuid the tenantUuid to set
     */
    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the shared
     */
    public Boolean getShared() {
        return shared;
    }

    /**
     * @param shared the shared to set
     */
    public void setShared(Boolean shared) {
        this.shared = shared;
    }

    /**
     * @return the audited
     */
    public Boolean getAudited() {
        return audited;
    }

    /**
     * @param audited the audited to set
     */
    public void setAudited(Boolean audited) {
        this.audited = audited;
    }

    /**
     * @return the ruleUuid
     */
    public String getRuleUuid() {
        return ruleUuid;
    }

    /**
     * @param ruleUuid the ruleUuid to set
     */
    public void setRuleUuid(String ruleUuid) {
        this.ruleUuid = ruleUuid;
    }

    /**
     * @return the ruleUuids
     */
    public List<String> getRuleUuids() {
        return ruleUuids;
    }

    /**
     * @param ruleUuids the ruleUuids to set
     */
    public void setRuleUuids(List<String> ruleUuids) {
        this.ruleUuids = ruleUuids;
    }

    /**
     * @return the firewallUuids
     */
    public List<String> getFirewallUuids() {
        return firewallUuids;
    }

    /**
     * @param firewallUuids the firewallUuids to set
     */
    public void setFirewallUuids(List<String> firewallUuids) {
        this.firewallUuids = firewallUuids;
    }

    /**
     * @return the rules
     */
    public List<FirewallRuleModel> getRules() {
        return rules;
    }

    /**
     * @param rules the rules to set
     */
    public void setRules(List<FirewallRuleModel> rules) {
        this.rules = rules;
    }
}
